API referenceTimeseries
POST /api/Timeseries/SearchByName
Searches for timeseries by name. Name supports wildcard search using the '*' character.
POST
/api/Timeseries/SearchByNamecurl -X POST "/api/Timeseries/SearchByName" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"name": "<<your_timeseries_name>>",
"limit": 10,
"offset": 1
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Timeseries.TimeseriesSearchByNameRequest
Response
application/json
Searches for timeseries by name. Name supports wildcard search using the '*' character.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.Timeseries.TimeseriesEntityExternalResponseDto[] | null
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"name": "string",
"module": "string",
"guid": "string",
"granularityName": "string",
"granularity": -6,
"upsamplingName": "string",
"upsampling": 1,
"downsamplingName": "string",
"downsampling": 1,
"typeName": "string",
"type": 1,
"source": "string",
"unitName": "string",
"unit": 1,
"isActive": true,
"isCalculated": true,
"tags": "string"
}
]
}